class YouGet < Formula
  include Language::Python::Virtualenv

  desc "Dumb downloader that scrapes the web"
  homepage "https://you-get.org/"
  url "https://files.pythonhosted.org/packages/7e/87/5faa48930348f57c26109b623accdf0517ac82253fa3c236ba1131d35f5d/you-get-0.4.1700.tar.gz"
  sha256 "5cd21492012a446ac1b52c6f7e44944aac65b59e997645a84dcf64cf8043e99c"
  license "MIT"
  head "https://github.com/soimort/you-get.git", branch: "develop"

  depends_on "python@3.12"
  depends_on "rtmpdump"

  def install
    virtualenv_install_with_resources
    bash_completion.install "contrib/completion/you-get-completion.bash" => "you-get"
    fish_completion.install "contrib/completion/you-get.fish"
    zsh_completion.install "contrib/completion/_you-get"
  end

  def caveats
    "To use post-processing options, run `brew install ffmpeg` or `brew install libav`."
  end

  test do
    system bin/"you-get", "--info", "https://youtu.be/he2a4xK8ctk"
  end
end
